Class | Chef::Formatters::ErrorInspectors::NodeLoadErrorInspector
In: | lib/chef/formatters/error_inspectors/node_load_error_inspector.rb
Parent: | Object

## APIErrorInspector

Wraps exceptions caused by API calls to the server.

### Methods

add_explanation api_key clock_skew? describe_404_error humanize_http_exception new server_url username

### Included Modules

APIErrorFormatting

### Attributes

config | [R] |
exception | [R] |
node_name | [R] |

### Public Class methods

new(node_name, exception, config)

### Public Instance methods

add_explanation(error_description)
api_key()
clock_skew?()
describe_404_error(error_description)

Custom 404 error messaging. Users sometimes see 404s when they have misconfigured server URLs, and the wrong one redirects to the new one, e.g., PUT wrong.url/nodes/node-name becomes a GET after a redirect.

humanize_http_exception(error_description)
server_url()
username()

[Validate]